GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_endpoint_vtable Struct Reference

`#include <endpoint.h>`

## Data Fields
void(* | notify_on_read )(grpc_endpoint *ep, grpc_endpoint_read_cb cb, void *user_data)
grpc_endpoint_write_status(* | write )(grpc_endpoint *ep, gpr_slice *slices, size_t nslices, grpc_endpoint_write_cb cb, void *user_data)
void(* | add_to_pollset )(grpc_endpoint *ep, grpc_pollset *pollset)
void(* | add_to_pollset_set )(grpc_endpoint *ep, grpc_pollset_set *pollset)
void(* | shutdown )(grpc_endpoint *ep)
void(* | destroy )(grpc_endpoint *ep)
char *(* | get_peer )(grpc_endpoint *ep)

## Field Documentation

void(* grpc_endpoint_vtable::add_to_pollset)(grpc_endpoint *ep, grpc_pollset *pollset)

void(* grpc_endpoint_vtable::add_to_pollset_set)(grpc_endpoint *ep, grpc_pollset_set *pollset)

void(* grpc_endpoint_vtable::destroy)(grpc_endpoint *ep)

char*(* grpc_endpoint_vtable::get_peer)(grpc_endpoint *ep)

void(* grpc_endpoint_vtable::notify_on_read)(grpc_endpoint *ep, grpc_endpoint_read_cb cb, void *user_data)

void(* grpc_endpoint_vtable::shutdown)(grpc_endpoint *ep)

grpc_endpoint_write_status(* grpc_endpoint_vtable::write)(grpc_endpoint *ep, gpr_slice *slices, size_t nslices, grpc_endpoint_write_cb cb, void *user_data)

The documentation for this struct was generated from the following file:

- src/core/iomgr/endpoint.h